CGAL 6.2 - Fast Intersection and Distance Computation (AABB Tree): AABBRayIntersectionGeomTraits_2 Concept Reference

CGAL 6.2 - Fast Intersection and Distance Computation (AABB Tree)

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
AABBRayIntersectionGeomTraits_2 Concept Reference
Reference Manual » Concepts

## Definition

The concept `AABBRayIntersectionGeomTraits_2` is a refinement of the concept `AABBGeomTraits_2`. In addition to the types and functors required by `AABBGeomTraits_2` it also requires types and functors necessary to define the Intersection_distance functor (see `AABBRayIntersectionTraits`).

Refines
  `AABBGeomTraits_2`

Has models
  All models of the concept `Kernel`

See also
  `CGAL::AABB_traits_2<AABBGeomTraits_2,AABBPrimitive>`
  `CGAL::AABB_tree<AABBTraits>`
  `AABBPrimitive`

## Public Types
typedef unspecified_type | Ray_2
| Type of a 2D ray.
typedef unspecified_type | Vector_2
| Type of a 2D vector.
typedef unspecified_type | Construct_source_2
| A functor object to construct the source point of a ray.
typedef unspecified_type | Cartesian_const_iterator_2
| A model of `CartesianConstIterator_2`.
typedef unspecified_type | Construct_cartesian_const_iterator_2
| A model of `ConstructCartesianConstIterator_2`.
typedef unspecified_type | Construct_vector_2
| A functor object to construct a vector having the same direction as a ray.

## Public Member Functions
Construct_source_2 | construct_source_2_object ()
| returns the `Construct_source_2` functor.
Construct_cartesian_const_iterator_2 | construct_cartesian_const_iterator_2_object ()
| returns the `Construct_cartesian_const_iterator_2` functor.
Construct_vector_2 | construct_vector_2_object ()
| returns the `Construct_vector_2` functor.

## Member Typedef Documentation

## ◆ Construct_source_2

typedef unspecified_type AABBRayIntersectionGeomTraits_2::Construct_source_2

A functor object to construct the source point of a ray.

Provides the operator: `Point_2 operator()(const Ray_2&);`

## ◆ Construct_vector_2

typedef unspecified_type AABBRayIntersectionGeomTraits_2::Construct_vector_2

A functor object to construct a vector having the same direction as a ray.

Provides the operator: `Vector_2 operator()(const Ray_2&);`